package cn.iocoder.yudao.module.system.controller.admin.housearea.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 库区新增/修改 Request VO")
@Data
public class HouseAreaSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2922")
    private Long id;

    @Schema(description = "库区id(自定义)", requiredMode = Schema.RequiredMode.REQUIRED, example = "24710")
    @NotNull(message = "库区id(自定义)不能为空")
    private Long areaId;

    @Schema(description = "库区名称", example = "李四")
    private String areaName;

    @Schema(description = "库区说明")
    private String areaMsg;

}