package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 仓库点位地图子表新增/修改 Request VO")
@Data
public class PositionMapItemSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31007")
    private Long id;

    @Schema(description = "仓库点位地图表id", example = "30963")
    private Long positionMapId;

    @Schema(description = "库区id(自定义)", example = "30963")
    private Long areaId;

    @Schema(description = "巷道id(自定义)", example = "30963")
    private Long laneId;

    @Schema(description = "坐标x轴")
    private String locationX;

    @Schema(description = "坐标y轴")
    private String locationY;

    @Schema(description = "类型 1.行走点位 2.库位 3.充电桩 --- 后续补充", example = "1")
    private Integer type;

    @Schema(description = "类型所对应表id", example = "15418")
    private Long objectId;

}
