package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 仓库点位地图连线 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PositionMapLineRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28062")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "出发点id(点位子表id)", example = "20863")
    @ExcelProperty("出发点id(点位子表id)")
    private Long startingPointId;

    @Schema(description = "结束点id(点位子表id)", example = "15890")
    @ExcelProperty("结束点id(点位子表id)")
    private Long endPointId;

    @Schema(description = "行走方法 1.直线 2曲线")
    @ExcelProperty("行走方法 1.直线 2曲线")
    private Integer method;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
