package cn.iocoder.yudao.module.system.dal.dataobject.houselane;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 线库/巷道 DO
 *
 * @author 陈宾顺
 */
@TableName("ware_house_lane")
@KeySequence("ware_house_lane_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WareHouseLaneDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 巷道id(自定义)
     */
    private Long laneId;
    /**
     * 巷道名称
     */
    private String laneName;
    /**
     * 巷道说明(可以拓展为区域说明)
     */
    private String laneMsg;

}