package cn.iocoder.yudao.module.system.dal.dataobject.positionmap;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 仓库点位地图连线 DO
 *
 * @author 芋道源码
 */
@TableName("ware_position_map_line")
@KeySequence("ware_position_map_line_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionMapLineDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 出发点id(点位子表id)
     */
    private Long startingPointId;
    /**
     * 结束点id(点位子表id)
     */
    private Long endPointId;
    /**
     * 行走方法 1.直线 2曲线
     */
    private Integer method;

}
