package cn.iocoder.yudao.module.system.service.houselane;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.houselane.vo.WareHouseLanePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.houselane.vo.WareHouseLaneSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.houselane.WareHouseLaneDO;

/**
 * 线库/巷道 Service 接口
 *
 * @author 陈宾顺
 */
public interface WareHouseLaneService {

    /**
     * 创建线库/巷道
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHouseLane(@Valid WareHouseLaneSaveReqVO createReqVO);

    /**
     * 更新线库/巷道
     *
     * @param updateReqVO 更新信息
     */
    void updateHouseLane(@Valid WareHouseLaneSaveReqVO updateReqVO);

    /**
     * 删除线库/巷道
     *
     * @param id 编号
     */
    void deleteHouseLane(Long id);

    /**
     * 获得线库/巷道
     *
     * @param id 编号
     * @return 线库/巷道
     */
    WareHouseLaneDO getHouseLane(Long id);

    /**
     * 获得线库/巷道分页
     *
     * @param pageReqVO 分页查询
     * @return 线库/巷道分页
     */
    PageResult<WareHouseLaneDO> getHouseLanePage(WareHouseLanePageReqVO pageReqVO);

}