package cn.iocoder.yudao.module.system.service.positionmap;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapItemPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapItemSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.positionmap.PositionMapItemDO;

import javax.validation.Valid;

/**
 * 仓库点位地图子表 Service 接口
 *
 * @author 芋道源码
 */
public interface PositionMapItemService {

    /**
     * 创建仓库点位地图子表
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPositionMapItem(@Valid PositionMapItemSaveReqVO createReqVO);

    /**
     * 更新仓库点位地图子表
     *
     * @param updateReqVO 更新信息
     */
    void updatePositionMapItem(@Valid PositionMapItemSaveReqVO updateReqVO);

    /**
     * 删除仓库点位地图子表
     *
     * @param id 编号
     */
    void deletePositionMapItem(Long id);

    /**
     * 获得仓库点位地图子表
     *
     * @param id 编号
     * @return 仓库点位地图子表
     */
    PositionMapItemDO getPositionMapItem(Long id);

    /**
     * 获得仓库点位地图子表分页
     *
     * @param pageReqVO 分页查询
     * @return 仓库点位地图子表分页
     */
    PageResult<PositionMapItemDO> getPositionMapItemPage(PositionMapItemPageReqVO pageReqVO);

}
