package cn.iocoder.yudao.module.system.service.positionmap;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLinePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLineSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.positionmap.PositionMapLineDO;

import javax.validation.Valid;

/**
 * 仓库点位地图连线 Service 接口
 *
 * @author 芋道源码
 */
public interface PositionMapLineService {

    /**
     * 创建仓库点位地图连线
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPositionMapLine(@Valid PositionMapLineSaveReqVO createReqVO);

    /**
     * 更新仓库点位地图连线
     *
     * @param updateReqVO 更新信息
     */
    void updatePositionMapLine(@Valid PositionMapLineSaveReqVO updateReqVO);

    /**
     * 删除仓库点位地图连线
     *
     * @param id 编号
     */
    void deletePositionMapLine(Long id);

    /**
     * 获得仓库点位地图连线
     *
     * @param id 编号
     * @return 仓库点位地图连线
     */
    PositionMapLineDO getPositionMapLine(Long id);

    /**
     * 获得仓库点位地图连线分页
     *
     * @param pageReqVO 分页查询
     * @return 仓库点位地图连线分页
     */
    PageResult<PositionMapLineDO> getPositionMapLinePage(PositionMapLinePageReqVO pageReqVO);

}
