package cn.iocoder.yudao.module.system.service.positionmap;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLinePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLineSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.positionmap.PositionMapLineDO;
import cn.iocoder.yudao.module.system.dal.mysql.positionmap.PositionMapLineMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 仓库点位地图连线 Service 实现类
 *
 * @author 芋道源码
 */
@Service
@Validated
public class PositionMapLineServiceImpl implements PositionMapLineService {

    @Resource
    private PositionMapLineMapper positionMapLineMapper;

    @Override
    public Long createPositionMapLine(PositionMapLineSaveReqVO createReqVO) {
        // 插入
        PositionMapLineDO positionMapLine = BeanUtils.toBean(createReqVO, PositionMapLineDO.class);
        positionMapLineMapper.insert(positionMapLine);
        // 返回
        return positionMapLine.getId();
    }

    @Override
    public void updatePositionMapLine(PositionMapLineSaveReqVO updateReqVO) {
        // 更新
        PositionMapLineDO updateObj = BeanUtils.toBean(updateReqVO, PositionMapLineDO.class);
        positionMapLineMapper.updateById(updateObj);
    }

    @Override
    public void deletePositionMapLine(Long id) {
        // 删除
        positionMapLineMapper.deleteById(id);
    }

    @Override
    public PositionMapLineDO getPositionMapLine(Long id) {
        return positionMapLineMapper.selectById(id);
    }

    @Override
    public PageResult<PositionMapLineDO> getPositionMapLinePage(PositionMapLinePageReqVO pageReqVO) {
        return positionMapLineMapper.selectPage(pageReqVO);
    }

}
